Debian Bug report logs - #658326
bacula: sha implimentation is non-free

version graph

Package: bacula; Maintainer for bacula is Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>; Source for bacula is src:bacula.

Reported by: Karl Goetz <karl@kgoetz.id.au>

Date: Thu, 2 Feb 2012 01:30:01 UTC

Severity: serious

Tags: patch, upstream

Found in versions bacula/5.0.2-2.2, bacula/5.0.3-1

Fixed in version bacula/5.2.6+dfsg-1

Done: Luca Capello <luca@pca.it>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.bacula.org/view.php?id=1869

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Thu, 02 Feb 2012 01:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
New Bug report received and forwarded. Copy sent to Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>. (Thu, 02 Feb 2012 01:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bacula: sha implimentation is non-free
Date: Thu, 02 Feb 2012 12:26:28 +1100
Package: bacula
Severity: serious
Justification: DFSG violation
User: gnewsense-dev@nongnu.org
Usertags: gnewsense libreplanet

Hi,
The sha1 implimentation shipped in stable and oldstable appears to be
taken directly from the RFC, with dfsg incompatible licence statements.

The affected files are src/lib/sha1.{h,c}

thanks,
kk

-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Kefu Chai <tchaikov@gmail.com>:
You have taken responsibility. (Mon, 30 Apr 2012 09:21:51 GMT) Full text and rfc822 format available.

Notification sent to Karl Goetz <karl@kgoetz.id.au>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 09:21:57 GMT) Full text and rfc822 format available.

Message #10 received at 658326-close@bugs.debian.org (full text, mbox):

From: Kefu Chai <tchaikov@gmail.com>
To: 658326-close@bugs.debian.org
Subject: Bug#658326: fixed in bacula 5.0.3+dfsg-0.1
Date: Mon, 30 Apr 2012 09:17:34 +0000
Source: bacula
Source-Version: 5.0.3+dfsg-0.1

We believe that the bug you reported is fixed in the latest version of
bacula, which is due to be installed in the Debian FTP archive:

bacula-client_5.0.3+dfsg-0.1_all.deb
  to main/b/bacula/bacula-client_5.0.3+dfsg-0.1_all.deb
bacula-common-mysql_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-common-mysql_5.0.3+dfsg-0.1_i386.deb
bacula-common-pgsql_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-common-pgsql_5.0.3+dfsg-0.1_i386.deb
bacula-common-sqlite3_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-common-sqlite3_5.0.3+dfsg-0.1_i386.deb
bacula-common_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-common_5.0.3+dfsg-0.1_i386.deb
bacula-console-qt_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-console-qt_5.0.3+dfsg-0.1_i386.deb
bacula-console_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-console_5.0.3+dfsg-0.1_i386.deb
bacula-director-common_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-director-common_5.0.3+dfsg-0.1_i386.deb
bacula-director-mysql_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-director-mysql_5.0.3+dfsg-0.1_i386.deb
bacula-director-pgsql_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-director-pgsql_5.0.3+dfsg-0.1_i386.deb
bacula-director-sqlite3_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-director-sqlite3_5.0.3+dfsg-0.1_i386.deb
bacula-director-sqlite_5.0.3+dfsg-0.1_all.deb
  to main/b/bacula/bacula-director-sqlite_5.0.3+dfsg-0.1_all.deb
bacula-fd_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-fd_5.0.3+dfsg-0.1_i386.deb
bacula-sd-mysql_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-sd-mysql_5.0.3+dfsg-0.1_i386.deb
bacula-sd-pgsql_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-sd-pgsql_5.0.3+dfsg-0.1_i386.deb
bacula-sd-sqlite3_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-sd-sqlite3_5.0.3+dfsg-0.1_i386.deb
bacula-sd-sqlite_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-sd-sqlite_5.0.3+dfsg-0.1_i386.deb
bacula-sd_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-sd_5.0.3+dfsg-0.1_i386.deb
bacula-server_5.0.3+dfsg-0.1_all.deb
  to main/b/bacula/bacula-server_5.0.3+dfsg-0.1_all.deb
bacula-traymonitor_5.0.3+dfsg-0.1_i386.deb
  to main/b/bacula/bacula-traymonitor_5.0.3+dfsg-0.1_i386.deb
bacula_5.0.3+dfsg-0.1.diff.gz
  to main/b/bacula/bacula_5.0.3+dfsg-0.1.diff.gz
bacula_5.0.3+dfsg-0.1.dsc
  to main/b/bacula/bacula_5.0.3+dfsg-0.1.dsc
bacula_5.0.3+dfsg-0.1_all.deb
  to main/b/bacula/bacula_5.0.3+dfsg-0.1_all.deb
bacula_5.0.3+dfsg.orig.tar.gz
  to main/b/bacula/bacula_5.0.3+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658326@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kefu Chai <tchaikov@gmail.com> (supplier of updated bacula package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Apr 2012 15:37:55 +0800
Source: bacula
Binary: bacula bacula-common bacula-common-sqlite3 bacula-common-pgsql bacula-common-mysql bacula-director-common bacula-director-sqlite bacula-director-sqlite3 bacula-director-mysql bacula-director-pgsql bacula-client bacula-fd bacula-server bacula-sd bacula-sd-sqlite3 bacula-sd-sqlite bacula-sd-mysql bacula-sd-pgsql bacula-console bacula-console-qt bacula-traymonitor
Architecture: source all i386
Version: 5.0.3+dfsg-0.1
Distribution: unstable
Urgency: low
Maintainer: Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>
Changed-By: Kefu Chai <tchaikov@gmail.com>
Description: 
 bacula     - network backup, recovery and verification - meta-package
 bacula-client - network backup, recovery and verification - client meta-package
 bacula-common - network backup, recovery and verification - common support files
 bacula-common-mysql - network backup, recovery and verification - MySQL common files
 bacula-common-pgsql - network backup, recovery and verification - PostgreSQL common fil
 bacula-common-sqlite3 - network backup, recovery and verification - SQLite v3 common file
 bacula-console - network backup, recovery and verification - text console
 bacula-console-qt - Bacula Administration Tool Console
 bacula-director-common - network backup, recovery and verification - Director common files
 bacula-director-mysql - network backup, recovery and verification - MySQL storage for Dir
 bacula-director-pgsql - network backup, recovery and verification - PostgreSQL storage fo
 bacula-director-sqlite - network backup, recovery and verification - SQLite 2 director tra
 bacula-director-sqlite3 - network backup, recovery and verification - SQLite 3 storage for
 bacula-fd  - network backup, recovery and verification - file daemon
 bacula-sd  - network backup, recovery and verification - storage daemon
 bacula-sd-mysql - network backup, recovery and verification - MySQL SD tools
 bacula-sd-pgsql - network backup, recovery and verification - PostgreSQL SD tools
 bacula-sd-sqlite - network backup, recovery and verification - SQLite SD tools
 bacula-sd-sqlite3 - network backup, recovery and verification - SQLite 3 SD tools
 bacula-server - network backup, recovery and verification - server meta-package
 bacula-traymonitor - network backup, recovery and verification - tray monitor
Closes: 658326
Changes: 
 bacula (5.0.3+dfsg-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove non-free SHA implementation (Closes: #658326).
   * debian/control: add libncurses5-dev into Build-Depends
Checksums-Sha1: 
 b9d6f32983590e394e18e1de56252af7e76a03b5 2851 bacula_5.0.3+dfsg-0.1.dsc
 9afd2c8766680b8277a46ca60493e9af03e704ee 3807395 bacula_5.0.3+dfsg.orig.tar.gz
 f3427061babb54d1850cc7927437340cbce0d40c 44860 bacula_5.0.3+dfsg-0.1.diff.gz
 ba3768c082a55fb3ef7caa8922116e9652b2adbb 1044 bacula_5.0.3+dfsg-0.1_all.deb
 d7353b04daf70edb80b4f5e2549731ad1a042719 50448 bacula-director-sqlite_5.0.3+dfsg-0.1_all.deb
 b41f31886366f593c734ffc70c737abf7c4794b1 50482 bacula-client_5.0.3+dfsg-0.1_all.deb
 d98d743b55072a6d50ec2130ca1a0a8aad8c9080 50398 bacula-server_5.0.3+dfsg-0.1_all.deb
 08c0e9eed2d742e191714d28d94a5e9b2f39d1e0 640350 bacula-common_5.0.3+dfsg-0.1_i386.deb
 8e29fa25b63381f3bfd86c57d00fbd0303a959f6 103682 bacula-common-sqlite3_5.0.3+dfsg-0.1_i386.deb
 ed1cfdb0c84f3e8e64511c83a6b5454963e5f82d 108628 bacula-common-pgsql_5.0.3+dfsg-0.1_i386.deb
 cad51b685ff457ea1751675c1adf57a0802f1746 104806 bacula-common-mysql_5.0.3+dfsg-0.1_i386.deb
 cee67f386bd9dc907391b62afe0f8d4b81e3bad6 58384 bacula-director-common_5.0.3+dfsg-0.1_i386.deb
 156197d6036e19b33c8222c3d108026211b8fc38 309454 bacula-director-sqlite3_5.0.3+dfsg-0.1_i386.deb
 5570784f913c3f6efba7c0a3808c9f539a8f7e77 310316 bacula-director-mysql_5.0.3+dfsg-0.1_i386.deb
 d1f40c06cd0a32e3e258b51ed314a5d5ef17d522 310026 bacula-director-pgsql_5.0.3+dfsg-0.1_i386.deb
 4766adc526fab1da3b1f3cfbddee4dde21066fe7 126326 bacula-fd_5.0.3+dfsg-0.1_i386.deb
 f3a012ef5b078f7b0c66cbeba677b95d1294921d 467546 bacula-sd_5.0.3+dfsg-0.1_i386.deb
 403c802c270f62b932447b3dadce86f0682eb636 442206 bacula-sd-sqlite3_5.0.3+dfsg-0.1_i386.deb
 390035d8fd29aeaeca12fdf0751b93c24104b2fc 50380 bacula-sd-sqlite_5.0.3+dfsg-0.1_i386.deb
 0c170e2b50400a5ab2b22de74c0b5f6ad2d21fb5 442192 bacula-sd-mysql_5.0.3+dfsg-0.1_i386.deb
 79972cd954aacea2d4e1f60883e2ed0d346e2222 442208 bacula-sd-pgsql_5.0.3+dfsg-0.1_i386.deb
 f95e7a957e7e3d7a66094aed4c72075cbcfd6a4f 68354 bacula-console_5.0.3+dfsg-0.1_i386.deb
 a65a4a3cbca98d91f77f96b94b9e4b968a6d29ab 622410 bacula-console-qt_5.0.3+dfsg-0.1_i386.deb
 d2ffc05b7ff285052a4ce4f07a8612ec54ce711f 70864 bacula-traymonitor_5.0.3+dfsg-0.1_i386.deb
Checksums-Sha256: 
 dbd53a9fadd8d79f71ef4b1a50e8813d198a5add95c580b449d873986f183d30 2851 bacula_5.0.3+dfsg-0.1.dsc
 b4be92d0422390f35451c705c8419eb44b6f87cbf1b671bad5e7db622a731ca4 3807395 bacula_5.0.3+dfsg.orig.tar.gz
 0bcf8ad8ef7982919f5787d2a78bb598f2233923a70cd1531c3cb022016843a3 44860 bacula_5.0.3+dfsg-0.1.diff.gz
 9050307e85a9640a13bb2a0c63e0871b0ce3e2bcb9e4b4a11bc4542f4629a18c 1044 bacula_5.0.3+dfsg-0.1_all.deb
 094bb6886bfa98279be27390316cc91d8567e0bd005fea4f7259ea3005b7fb05 50448 bacula-director-sqlite_5.0.3+dfsg-0.1_all.deb
 8aff690f0b230a49398c993757c69dd5e91ee1779a23c35a951ade6443965dcf 50482 bacula-client_5.0.3+dfsg-0.1_all.deb
 b1176afb364f199845652818ebb895b262e6135f33e369ab7e7412749c809784 50398 bacula-server_5.0.3+dfsg-0.1_all.deb
 dbf31b1600a527a8984034222ce2ab262f147950f077dcaab92c3a7c8e9a7c18 640350 bacula-common_5.0.3+dfsg-0.1_i386.deb
 503b1f5687731d591f2c2119513579a1f3516401a0b64bac11a0797729c04abb 103682 bacula-common-sqlite3_5.0.3+dfsg-0.1_i386.deb
 d79a97f7ccc7309638a6d43cb2ef2ee5240497a027c6dcb1256a41dafd5e47ed 108628 bacula-common-pgsql_5.0.3+dfsg-0.1_i386.deb
 69a5b85e0cfd1f5f0584ca85deaac5b1eea6c30dbbb2190b818cb9ba42b424af 104806 bacula-common-mysql_5.0.3+dfsg-0.1_i386.deb
 974f5c84a401d2f9c28c6c5bee70bebabd9b492034ffd3a81c2a67af61797641 58384 bacula-director-common_5.0.3+dfsg-0.1_i386.deb
 bdfe332072e670c29678919d7413071d1216bc21d4374149991a441a504a57ea 309454 bacula-director-sqlite3_5.0.3+dfsg-0.1_i386.deb
 232fa01ab2017ab5a9a4cca7b79d0c6fb5ae8e02fbb18162f4c873fe3ddb1070 310316 bacula-director-mysql_5.0.3+dfsg-0.1_i386.deb
 20f3a6f4603c4f73296a9e28cb42b99efcfeb9cd9879366739ff3b87ee108b57 310026 bacula-director-pgsql_5.0.3+dfsg-0.1_i386.deb
 edba0cbe25624874d3f56f7feea06cd2c3364fe711e403046e5c0bd608384f4a 126326 bacula-fd_5.0.3+dfsg-0.1_i386.deb
 4448c8aafc5038c72b3880af983c4d2688e775e48f7a0858e85d1a51fe37085f 467546 bacula-sd_5.0.3+dfsg-0.1_i386.deb
 5f8539240febd7fbbbcb2377131506934f5e2741bd546c731684c73fbbb4b680 442206 bacula-sd-sqlite3_5.0.3+dfsg-0.1_i386.deb
 2b944d47c17fcf2e5bc0ea594f1cd0145bc8ae89505047d38bf18780ea34b693 50380 bacula-sd-sqlite_5.0.3+dfsg-0.1_i386.deb
 56c6bf2ce5eddfd0fb32984b46bf062cd0d7d75aeb216068f80d4929efd4108d 442192 bacula-sd-mysql_5.0.3+dfsg-0.1_i386.deb
 c3e627ef1aa9bd958fbfb5f51fe721e27b03f8248590d2c3b9eb05a120fb3db6 442208 bacula-sd-pgsql_5.0.3+dfsg-0.1_i386.deb
 0babc161f80a0831e2606201c3f1dd8a11802424cd2189c39c300c5621ab3834 68354 bacula-console_5.0.3+dfsg-0.1_i386.deb
 e4173ebe7e25f391d2b5e7ee19649087f1e3a07e5aee46f0e33c1dba0ceab643 622410 bacula-console-qt_5.0.3+dfsg-0.1_i386.deb
 eccff3e795bf017a4283bc9bd9b8cd66ec04dc8357d89c1c0cae289e4db107c3 70864 bacula-traymonitor_5.0.3+dfsg-0.1_i386.deb
Files: 
 e81affde87b534937b404152c8c0bbbb 2851 admin optional bacula_5.0.3+dfsg-0.1.dsc
 9dcc336a0bfebdb4ded40303f4d848af 3807395 admin optional bacula_5.0.3+dfsg.orig.tar.gz
 040eae792527e88b07c4e39771d127bf 44860 admin optional bacula_5.0.3+dfsg-0.1.diff.gz
 c8b41eb4943e8edd9e2e60ae8af5ff13 1044 admin optional bacula_5.0.3+dfsg-0.1_all.deb
 7d7c4a7afac92d235e5a4cece9a1c70d 50448 admin optional bacula-director-sqlite_5.0.3+dfsg-0.1_all.deb
 c5fa40562aba440a639068f606d1fddf 50482 admin optional bacula-client_5.0.3+dfsg-0.1_all.deb
 b3a7414637a133d703468caa4e592f11 50398 admin optional bacula-server_5.0.3+dfsg-0.1_all.deb
 022a2005cd7afdffe2a8b46bdefb046f 640350 admin optional bacula-common_5.0.3+dfsg-0.1_i386.deb
 da4ed16c2f4fdec5e89b4aa9296566bb 103682 admin optional bacula-common-sqlite3_5.0.3+dfsg-0.1_i386.deb
 118549f81aa4fc48009156069182bef4 108628 admin optional bacula-common-pgsql_5.0.3+dfsg-0.1_i386.deb
 d93ede8020b54d8d2cb3c2b9f5a1d0ef 104806 admin optional bacula-common-mysql_5.0.3+dfsg-0.1_i386.deb
 fa73e92cbac628d169d63ccf7fa42df8 58384 admin optional bacula-director-common_5.0.3+dfsg-0.1_i386.deb
 633a0d0c53fa98f66b5f7320e5dde86a 309454 admin optional bacula-director-sqlite3_5.0.3+dfsg-0.1_i386.deb
 93a5079c3c978a1c9f800fd60a601328 310316 admin optional bacula-director-mysql_5.0.3+dfsg-0.1_i386.deb
 ffd7d6b3162dcdc519d411e949a2bf3d 310026 admin optional bacula-director-pgsql_5.0.3+dfsg-0.1_i386.deb
 8a8e58c67478586255f4adda0e8b4d98 126326 admin optional bacula-fd_5.0.3+dfsg-0.1_i386.deb
 1b3e360d1a5b3653a1d0424fc39efc0d 467546 admin optional bacula-sd_5.0.3+dfsg-0.1_i386.deb
 901c5f5aed828dcac0da908a366e3597 442206 admin optional bacula-sd-sqlite3_5.0.3+dfsg-0.1_i386.deb
 0e7dad88c5ac6b35515a8eb92a7195ed 50380 admin optional bacula-sd-sqlite_5.0.3+dfsg-0.1_i386.deb
 c41ef67755c9c50be9808cddb835ea56 442192 admin optional bacula-sd-mysql_5.0.3+dfsg-0.1_i386.deb
 dbfddb81fb036a592253ddfc9f37bc27 442208 admin optional bacula-sd-pgsql_5.0.3+dfsg-0.1_i386.deb
 73116ebc69de4291f9ff31767aa15ee0 68354 admin optional bacula-console_5.0.3+dfsg-0.1_i386.deb
 289a7df0c4d34dac8460d7a79d75ef94 622410 utils optional bacula-console-qt_5.0.3+dfsg-0.1_i386.deb
 56fc86c4b9792f2541051cd276263bd9 70864 admin optional bacula-traymonitor_5.0.3+dfsg-0.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+eVXkACgkQ+MQbLPcULsLJhQCfXD+7gNYHhpBdb1Bd8cy/psox
1DAAn2Geu26WA8RYV9hGrs67kRczY3y9
=pf+U
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Wed, 02 May 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>. (Wed, 02 May 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 658326@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Kefu Chai <tchaikov@gmail.com>
Cc: 658326@bugs.debian.org, Karl Goetz <karl@kgoetz.id.au>
Subject: Re: [pkg-bacula-devel] Bug#658326: marked as done (bacula: sha implimentation is non-free)
Date: Wed, 02 May 2012 15:16:36 +0200
[Message part 1 (text/plain, inline)]
tags 658326 + upstream
notfixed 658326 5.0.3+dfsg-0.1
thanks

Hi there!

On Mon, 30 Apr 2012 11:21:51 +0200, Debian Bug Tracking System wrote:
> Your message dated Mon, 30 Apr 2012 09:17:34 +0000
> with message-id <E1SOmje-0005rA-OL@franck.debian.org>
> and subject line Bug#658326: fixed in bacula 5.0.3+dfsg-0.1
> has caused the Debian Bug report #658326,
> regarding bacula: sha implimentation is non-free
> to be marked as done.
[...]
> Changes:
>  bacula (5.0.3+dfsg-0.1) unstable; urgency=low
>  .
>    * Non-maintainer upload.
>    * Remove non-free SHA implementation (Closes: #658326).
>    * debian/control: add libncurses5-dev into Build-Depends

Thank you for the NMU, but this is NOT the proper way, please read:

  <http://www.debian.org/doc/manuals/developers-reference/pkgs.html#nmu>

Specifically:

  § 5.11.1. When and how to do an NMU

  Before doing an NMU, consider the following questions:

  [...]

    * How confident are you about your changes? Please remember the
      Hippocratic Oath: "Above all, do no harm." It is better to leave a
      package with an open grave bug than applying a non-functional
      patch, or one that hides the bug instead of resolving it. If you
      are not 100% sure of what you did, it might be a good idea to seek
      advice from others. Remember that if you break something in your
      NMU, many people will be very unhappy about it.

1) Have you checked what are the implication of removing the non-free
   SHA1 implementation?  I imagine that all the installations that have
   'signature=SHA1' in their FileSet resources are now broken, which is
   not acceptable without any warning *before* installation via
   NEWS.Debian, so administrators can act accordingly.  This is why I
   marked this bug as notfixed.

2) Have you seen that Karl (the original submitter) specifically talked
   about stable and oldstable?  The problem should be fixed there as
   well, but the first question above must be addressed first.

   Karl, given that the latest upstream sources still contain the
   incriminated files, have you already brought this problem up to the
   upstream authors?

     <http://www.bacula.org/git/cgit.cgi/bacula/tree/bacula/src/lib/sha1.c>
     <http://www.bacula.org/git/cgit.cgi/bacula/tree/bacula/src/lib/sha1.h>

Going on with the NMU policies:

    * Have you clearly expressed your intention to NMU, at least in the
      BTS? It is also a good idea to try to contact the maintainer by
      other means (private email, IRC).

  When doing an NMU, you must first make sure that your intention to NMU
  is clear. Then, you must send a patch with the differences between the
  current package and your proposed NMU to the BTS. The nmudiff script
  in the devscripts package might be helpful.

  Sometimes, release managers decide to allow NMUs with shorter delays
  for a subset of bugs (e.g release-critical bugs older than 7
  days). Also, some maintainers list themselves in the Low Threshold NMU
  list, and accept that NMUs are uploaded without delay. But even in
  those cases, it's still a good idea to give the maintainer a few days
  to react before you upload, especially if the patch wasn't available
  in the BTS before, or if you know that the maintainer is generally
  active.

You have not contacted the pkg-bacula-devel@ mailing list neither sent
anything to the BTS.  Please note that I am not saying that I (as one of
the bacula maintainers) am active (actually, it is more the contrary).

Moreover, your NMU does not *only* include the fix for #658326, but also
the one for #646730, without any notice neither taking into account the
submitter proposal (patching the upstream build system).

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 02 May 2012 13:39:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions bacula/5.0.3+dfsg-0.1. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 02 May 2012 13:39:06 GMT) Full text and rfc822 format available.

Bug reopened Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 02 May 2012 13:54:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Wed, 09 May 2012 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Golovko <alexandro@ankalagon.ru>:
Extra info received and forwarded to list. Copy sent to Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>. (Wed, 09 May 2012 22:18:03 GMT) Full text and rfc822 format available.

Message #26 received at 658326@bugs.debian.org (full text, mbox):

From: Alexander Golovko <alexandro@ankalagon.ru>
To: <658326@bugs.debian.org>
Subject: patch for switch to openssl SHA1 implementation
Date: Thu, 10 May 2012 02:06:25 +0400
[Message part 1 (text/plain, inline)]
Hello.

Fortunally, there are SHA1 implementation in openssl library.
Used functions have the same names and arguments and bacula already 
linked with libssl

We need only change headers, makefile.in and remove bad files.


With this patch, applied to bacula_5.0.2-2.2
 - bacula packages sucessfully builded
 - patched bacula-director-mysql can backup patched client (whith 
signature = SHA1 in fileset)
 - patched bacula-director-mysql can backup original client (whith 
signature = SHA1 in fileset)
 - for same files in database written the same SHA1 signature for both 
patched and original clients.


OpenSSL all versions has SHA1 functions, so there is big chance patch 
can be applied to oldstable too.


-- 
with best regards,
Alexander Golovko
email: alexandro@ankalagon.ru
xmpp: alexandro@ankalagon.ru
[bacula-switch-nonfree-sha1-to-openssl.patch (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Mon, 14 May 2012 12:51:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 12:51:36 GMT) Full text and rfc822 format available.

Message #31 received at 658326@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Alexander Golovko <alexandro@ankalagon.ru>
Cc: 658326@bugs.debian.org, Kefu Chai <tchaikov@gmail.com>, Karl Goetz <karl@kgoetz.id.au>
Subject: Re: [pkg-bacula-devel] Bug#658326: patch for switch to openssl SHA1 implementation
Date: Mon, 14 May 2012 14:48:25 +0200
[Message part 1 (text/plain, inline)]
forwarded 658326 http://bugs.bacula.org/view.php?id=1869
tags 658326 + patch
usertags 658326 + debian-packaging
thanks

Hi there!

Re-adding Kefu and Karl to the Cc:.

On Thu, 10 May 2012 00:06:25 +0200, Alexander Golovko wrote:
> Fortunally, there are SHA1 implementation in openssl library.
> Used functions have the same names and arguments and bacula already
> linked with libssl
>
> We need only change headers, makefile.in and remove bad files.

Thank you, forwarded upstream to:

  <http://bugs.bacula.org/view.php?id=1869>

> With this patch, applied to bacula_5.0.2-2.2
>  - bacula packages sucessfully builded
>  - patched bacula-director-mysql can backup patched client (whith
> signature = SHA1 in fileset)
>  - patched bacula-director-mysql can backup original client (whith
> signature = SHA1 in fileset)
>  - for same files in database written the same SHA1 signature for both
> patched and original clients.

This means that we can *safely* apply the patch.  Alexander, can you
do it in the Git repository, directly in the master branch?  You should
add your patch in debian/patches, something similar to:

  <http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=commitdiff;h=a64dee5c2199af135e7f91978c61909829756d0b>

> OpenSSL all versions has SHA1 functions, so there is big chance patch
> can be applied to oldstable too.

Uploading to oldstable/lenny is no more possible, given that it reached
EOL on 2012-03-10:

  <http://lists.debian.org/E1S6RgP-0006tF-GE@mikado.tilapin.org>

While we could provide a fixed package in the pkg-bacula HTTP space,
IMHO it is better to focus on stable, thus "obliging" people to move on
something which is fully supported.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://bugs.bacula.org/view.php?id=1869'. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Mon, 14 May 2012 12:51:43 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Mon, 14 May 2012 12:51:45 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Mon, 14 May 2012 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Golovko <alexandro@ankalagon.ru>:
Extra info received and forwarded to list. Copy sent to Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 20:45:03 GMT) Full text and rfc822 format available.

Message #40 received at 658326@bugs.debian.org (full text, mbox):

From: Alexander Golovko <alexandro@ankalagon.ru>
To: Luca Capello <luca@pca.it>
Cc: <658326@bugs.debian.org>, Kefu Chai <tchaikov@gmail.com>, Karl Goetz <karl@kgoetz.id.au>
Subject: Re: [pkg-bacula-devel] Bug#658326: patch for switch to openssl SHA1 implementation
Date: Tue, 15 May 2012 00:43:12 +0400
On Mon, 14 May 2012 14:48:25 +0200, Luca Capello wrote:
> forwarded 658326 http://bugs.bacula.org/view.php?id=1869
> tags 658326 + patch
> usertags 658326 + debian-packaging
> thanks
>
> Hi there!
>
> Re-adding Kefu and Karl to the Cc:.
>
> On Thu, 10 May 2012 00:06:25 +0200, Alexander Golovko wrote:
>> Fortunally, there are SHA1 implementation in openssl library.
>> Used functions have the same names and arguments and bacula already
>> linked with libssl
>>
>> We need only change headers, makefile.in and remove bad files.
>
> Thank you, forwarded upstream to:
>
>   <http://bugs.bacula.org/view.php?id=1869>
>

I'm afraid, this patch can't be merged into upstream without changes, 
because bacula can be built without SSL support, but with SHA1.
But it will be greate if we will not need to support it always.

>> With this patch, applied to bacula_5.0.2-2.2
>>  - bacula packages sucessfully builded
>>  - patched bacula-director-mysql can backup patched client (whith
>> signature = SHA1 in fileset)
>>  - patched bacula-director-mysql can backup original client (whith
>> signature = SHA1 in fileset)
>>  - for same files in database written the same SHA1 signature for 
>> both
>> patched and original clients.
>
> This means that we can *safely* apply the patch.  Alexander, can you
> do it in the Git repository, directly in the master branch?  You 
> should
> add your patch in debian/patches, something similar to:
>
>
> 
> <http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=commitdiff;h=a64dee5c2199af135e7f91978c61909829756d0b>
>

Ok, i add it into master branch
<http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=commitdiff;h=6c562cfdaffd730c796518233f0d97da08a3891b>



>> OpenSSL all versions has SHA1 functions, so there is big chance 
>> patch
>> can be applied to oldstable too.
>
> Uploading to oldstable/lenny is no more possible, given that it 
> reached
> EOL on 2012-03-10:
>
>   <http://lists.debian.org/E1S6RgP-0006tF-GE@mikado.tilapin.org>
>
> While we could provide a fixed package in the pkg-bacula HTTP space,
> IMHO it is better to focus on stable, thus "obliging" people to move 
> on
> something which is fully supported.
>
> Thx, bye,
> Gismo / Luca

-- 
with best regards,
Alexander Golovko
email: alexandro@ankalagon.ru
xmpp: alexandro@ankalagon.ru




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Thu, 17 May 2012 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>. (Thu, 17 May 2012 16:09:03 GMT) Full text and rfc822 format available.

Message #45 received at 658326@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Alexander Golovko <alexandro@ankalagon.ru>
Cc: <658326@bugs.debian.org>, Kefu Chai <tchaikov@gmail.com>, Karl Goetz <karl@kgoetz.id.au>
Subject: Re: [pkg-bacula-devel] Bug#658326: patch for switch to openssl SHA1 implementation
Date: Thu, 17 May 2012 18:05:49 +0200
[Message part 1 (text/plain, inline)]
Hi Alexander!

On Mon, 14 May 2012 22:43:12 +0200, Alexander Golovko wrote:
> On Mon, 14 May 2012 14:48:25 +0200, Luca Capello wrote:
>> On Thu, 10 May 2012 00:06:25 +0200, Alexander Golovko wrote:
>>> Fortunally, there are SHA1 implementation in openssl library.
>>> Used functions have the same names and arguments and bacula already
>>> linked with libssl
>>>
>>> We need only change headers, makefile.in and remove bad files.
>>
>> Thank you, forwarded upstream to:
>>
>>   <http://bugs.bacula.org/view.php?id=1869>
>>
>
> I'm afraid, this patch can't be merged into upstream without changes,
> because bacula can be built without SSL support, but with SHA1.
> But it will be greate if we will not need to support it always.

For the time being (the upstream BTS shows some discussion) I will
simply apply your patch and "forget" that we can build Bacula without
SSL support but with SHA-1, given that Debian does not provide such
packages.

> Ok, i add it into master branch
> <http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=commitdiff;h=6c562cfdaffd730c796518233f0d97da08a3891b>

While the patch is perfectly fine, we should completely remove the two
offending files from the upstream sources as well.  Unfortunately, the
DFSG-free .orig.tar.gz Kefu uploaded still contains them:

  <http://packages.qa.debian.org/b/bacula/news/20120430T091734Z.html>

I am going to upload a fixed package this weekend.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Fri, 18 May 2012 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Bacula packaging Group <pkg-bacula-devel@lists.alioth.debian.org>. (Fri, 18 May 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #50 received at 658326@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 658326@bugs.debian.org
Cc: Kefu Chai <tchaikov@gmail.com>, Karl Goetz <karl@kgoetz.id.au>
Subject: Re: [pkg-bacula-devel] Bug#658326: patch for switch to openssl SHA1 implementation
Date: Fri, 18 May 2012 19:49:43 +0200
[Message part 1 (text/plain, inline)]
tags 658326 + pending
thanks

Hi there!

On Thu, 17 May 2012 18:05:49 +0200, Luca Capello wrote:
> On Mon, 14 May 2012 22:43:12 +0200, Alexander Golovko wrote:
>> Ok, i add it into master branch
>> <http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=commitdiff;h=6c562cfdaffd730c796518233f0d97da08a3891b>
>
> While the patch is perfectly fine, we should completely remove the two
> offending files from the upstream sources as well.  Unfortunately, the
> DFSG-free .orig.tar.gz Kefu uploaded still contains them:
>
>   <http://packages.qa.debian.org/b/bacula/news/20120430T091734Z.html>
>
> I am going to upload a fixed package this weekend.

Upstream sources re-packaged:

  <http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=commit;h=47fbab2da0062f2d4df087496220d969dd755d7b>

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Fri, 18 May 2012 17:51:06 GMT) Full text and rfc822 format available.

Reply sent to Luca Capello <luca@pca.it>:
You have taken responsibility. (Thu, 14 Jun 2012 22:21:40 GMT) Full text and rfc822 format available.

Notification sent to Karl Goetz <karl@kgoetz.id.au>:
Bug acknowledged by developer. (Thu, 14 Jun 2012 22:21:40 GMT) Full text and rfc822 format available.

Message #57 received at 658326-close@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 658326-close@bugs.debian.org
Subject: Bug#658326: fixed in bacula 5.2.6+dfsg-1
Date: Thu, 14 Jun 2012 22:17:17 +0000
Source: bacula
Source-Version: 5.2.6+dfsg-1

We believe that the bug you reported is fixed in the latest version of
bacula, which is due to be installed in the Debian FTP archive:

bacula-client_5.2.6+dfsg-1_all.deb
  to main/b/bacula/bacula-client_5.2.6+dfsg-1_all.deb
bacula-common-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-common-dbg_5.2.6+dfsg-1_amd64.deb
bacula-common-mysql-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-common-mysql-dbg_5.2.6+dfsg-1_amd64.deb
bacula-common-mysql_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-common-mysql_5.2.6+dfsg-1_amd64.deb
bacula-common-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-common-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
bacula-common-pgsql_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-common-pgsql_5.2.6+dfsg-1_amd64.deb
bacula-common-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-common-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
bacula-common-sqlite3_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-common-sqlite3_5.2.6+dfsg-1_amd64.deb
bacula-common_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-common_5.2.6+dfsg-1_amd64.deb
bacula-console-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-console-dbg_5.2.6+dfsg-1_amd64.deb
bacula-console-qt-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-console-qt-dbg_5.2.6+dfsg-1_amd64.deb
bacula-console-qt_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-console-qt_5.2.6+dfsg-1_amd64.deb
bacula-console_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-console_5.2.6+dfsg-1_amd64.deb
bacula-director-common-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-director-common-dbg_5.2.6+dfsg-1_amd64.deb
bacula-director-common_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-director-common_5.2.6+dfsg-1_amd64.deb
bacula-director-mysql-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-director-mysql-dbg_5.2.6+dfsg-1_amd64.deb
bacula-director-mysql_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-director-mysql_5.2.6+dfsg-1_amd64.deb
bacula-director-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-director-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
bacula-director-pgsql_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-director-pgsql_5.2.6+dfsg-1_amd64.deb
bacula-director-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-director-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
bacula-director-sqlite3_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-director-sqlite3_5.2.6+dfsg-1_amd64.deb
bacula-fd-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-fd-dbg_5.2.6+dfsg-1_amd64.deb
bacula-fd_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-fd_5.2.6+dfsg-1_amd64.deb
bacula-sd-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-sd-dbg_5.2.6+dfsg-1_amd64.deb
bacula-sd-mysql-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-sd-mysql-dbg_5.2.6+dfsg-1_amd64.deb
bacula-sd-mysql_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-sd-mysql_5.2.6+dfsg-1_amd64.deb
bacula-sd-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-sd-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
bacula-sd-pgsql_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-sd-pgsql_5.2.6+dfsg-1_amd64.deb
bacula-sd-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-sd-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
bacula-sd-sqlite3_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-sd-sqlite3_5.2.6+dfsg-1_amd64.deb
bacula-sd_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-sd_5.2.6+dfsg-1_amd64.deb
bacula-server_5.2.6+dfsg-1_all.deb
  to main/b/bacula/bacula-server_5.2.6+dfsg-1_all.deb
bacula-traymonitor-dbg_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-traymonitor-dbg_5.2.6+dfsg-1_amd64.deb
bacula-traymonitor_5.2.6+dfsg-1_amd64.deb
  to main/b/bacula/bacula-traymonitor_5.2.6+dfsg-1_amd64.deb
bacula_5.2.6+dfsg-1.debian.tar.gz
  to main/b/bacula/bacula_5.2.6+dfsg-1.debian.tar.gz
bacula_5.2.6+dfsg-1.dsc
  to main/b/bacula/bacula_5.2.6+dfsg-1.dsc
bacula_5.2.6+dfsg-1_all.deb
  to main/b/bacula/bacula_5.2.6+dfsg-1_all.deb
bacula_5.2.6+dfsg.orig.tar.gz
  to main/b/bacula/bacula_5.2.6+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658326@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Capello <luca@pca.it> (supplier of updated bacula package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 13 Jun 2012 17:38:56 +0200
Source: bacula
Binary: bacula bacula-common bacula-common-dbg bacula-common-sqlite3 bacula-common-sqlite3-dbg bacula-common-pgsql bacula-common-pgsql-dbg bacula-common-mysql bacula-common-mysql-dbg bacula-director-common bacula-director-common-dbg bacula-director-sqlite3 bacula-director-sqlite3-dbg bacula-director-mysql bacula-director-mysql-dbg bacula-director-pgsql bacula-director-pgsql-dbg bacula-client bacula-fd bacula-fd-dbg bacula-server bacula-sd bacula-sd-dbg bacula-sd-sqlite3 bacula-sd-sqlite3-dbg bacula-sd-mysql bacula-sd-mysql-dbg bacula-sd-pgsql bacula-sd-pgsql-dbg bacula-console bacula-console-dbg bacula-console-qt bacula-console-qt-dbg bacula-traymonitor bacula-traymonitor-dbg
Architecture: source all amd64
Version: 5.2.6+dfsg-1
Distribution: unstable
Urgency: high
Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
Changed-By: Luca Capello <luca@pca.it>
Description: 
 bacula     - network backup, recovery and verification - metapackage
 bacula-client - network backup, recovery and verification - client metapackage
 bacula-common - network backup, recovery and verification - common support files
 bacula-common-dbg - backup system - debug symbols for the common support files
 bacula-common-mysql - network backup, recovery and verification - MySQL common files
 bacula-common-mysql-dbg - backup system - debug symbols for the MySQL common files
 bacula-common-pgsql - network backup, recovery and verification - PostgreSQL common fil
 bacula-common-pgsql-dbg - backup system - debug symbols for the PostgreSQL common files
 bacula-common-sqlite3 - network backup, recovery and verification - SQLite v3 common file
 bacula-common-sqlite3-dbg - backup system - debug symbols for the SQLite v3 common files
 bacula-console - network backup, recovery and verification - text console
 bacula-console-dbg - backup system - debug symbols for the text console
 bacula-console-qt - Bacula Administration Tool Console
 bacula-console-qt-dbg - Bacula Administration Tool Console - debug symbols
 bacula-director-common - network backup, recovery and verification - Director common files
 bacula-director-common-dbg - backup system - debug symbols for the Director common files
 bacula-director-mysql - network backup, recovery and verification - MySQL storage for Dir
 bacula-director-mysql-dbg - backup system - debug symbols for the MySQL storage for Director
 bacula-director-pgsql - network backup, recovery and verification - PostgreSQL storage fo
 bacula-director-pgsql-dbg - backup system - debug symbols for the PostgreSQL storage for Dire
 bacula-director-sqlite3 - network backup, recovery and verification - SQLite 3 storage for
 bacula-director-sqlite3-dbg - backup system - debug symbols for the SQLite 3 storage for Direct
 bacula-fd  - network backup, recovery and verification - file daemon
 bacula-fd-dbg - backup system - debug symbols for the file daemon
 bacula-sd  - network backup, recovery and verification - storage daemon
 bacula-sd-dbg - backup system - debug symbols for the storage daemon
 bacula-sd-mysql - network backup, recovery and verification - MySQL SD tools
 bacula-sd-mysql-dbg - backup system - debug symbols for the MySQL SD tools
 bacula-sd-pgsql - network backup, recovery and verification - PostgreSQL SD tools
 bacula-sd-pgsql-dbg - backup system - debug symbols for the PostgreSQL SD tools
 bacula-sd-sqlite3 - network backup, recovery and verification - SQLite 3 SD tools
 bacula-sd-sqlite3-dbg - backup system - debug symbols for the SQLite 3 SD tools
 bacula-server - network backup, recovery and verification - server metapackage
 bacula-traymonitor - network backup, recovery and verification - tray monitor
 bacula-traymonitor-dbg - backup system - debug symbols for the tray monitor
Closes: 466428 500370 519567 530014 530018 530019 553956 555737 608600 612352 621282 624532 639466 646730 648565 658326 659032 670427 672285 672765 674809
Changes: 
 bacula (5.2.6+dfsg-1) unstable; urgency=high
 .
   [ Alexander Golovko ]
   * new upstream release (Closes: #648565, #659032).
   * debian/patches/switch-nonfree-sha1-to-openssl.patch
     (Closes: #658326):
     + switch from upstream nonfree SHA1 implementation to openssl
   * debian/patches/fix-readline-ncurses-depends.patch
     (Closes: #646730):
     + fix ncurses requirement for readline-compiled bconsole, thanks
       to Sven Joachim <svenjoac@gmx.de>.
   * debian/*:
     + Add seamless migrating from /etc/bacula/do_not_run to /etc/default/*.
     + cleanup maintainer scripts.
   * debian/bacula-*.lintian-overrides:
     - remove, now useless.
   * debian/bacula-fd.init, debian/bacula-sd.init,
     debian/bacula-director-common.bacula-director.init:
     + Add LSB Description.
   * debian/patches/fix-mysql55-sql-syntax.patch (Closes: #674809):
     + Fix installation on MySQL 5.5, thanks to
       Corey Hickey <bugfood-c@fatooh.org>.
   * debian/patches/*:
     + update for applying to new upstream version.
   * debian/bacula-sd-*.install:
     + moved into template debian/bacula-sd-db.install.in.
     + add new shared libraries libbaccats*.so.
   * debian/patches/fix-libbaccats-rpath.patch:
     + fix RPATH in libbaccats*.so.
 .
   [ Bartosz Cisek ]
   * debian/rules:
     + fix --with-dir-passowrd= typo.
 .
   [ Ben Hutchings ]
   * debian/control:
     + add autoconf to Build-Depends:.
   * debian/patches/fix-mysql-autoconf.patch:
     + fix FTBFS with multi-arch libmysqlclient-dev (Closes: #672765).
   * debian/rules:
     + recreate configure script on build.
 .
   [ Jan Hauke Rahm ]
   * debian/*:
     + rework patching to use 3.0 (quilt).
     + rewrite to use debhelper.
     + add init scripts /etc/default processing for enabling, config path
       and arguments (Closes: #555737, #530019, #530018, #530014),
       thanks to Christopher Phillips (Blake) <blake@lindenlab.com>
       and Teodor <mteodor@gmail.com>.
     + cleanup and unify maintainer scripts (Closes: #670427, #672285).
     + make all maintainer scripts bash-independent.
   * debian/bacula-director-mysql.script.5.0.0,
     debian/rules:
     - remove lenny->squeeze upgrade path.
     + don't add useless call to ldconfig.
     + Remove executable bit on config file and README.
   * debian/bacula-director-sqlite3.config,
     debian/bacula-director-sqlite3.postinst,
     debian/control:
     - remove sqlite->sqlite3 upgrade path (lenny->squeeze) (Closes: #612352).
     + update git-repository url.
     + fix bacula log dir.
     + fix typo in package descriptions.
     + drop old (versions of) dependencies and conflicts.
     + White space and line breaks clean-up.
     + Upper-case Bacula as it's a name.
     + Remove reference to qwt.
   * debian/bacula-traymonitor.links:
     + also link the man page for traymonitor.
   * debian/bacula-director-common.bacula-director.init,
     debian/bacula-fd.init, debian/bacula-sd.init (Closes: #608600):
     + Fix: init scripts fail if daemon already running
   * debian/*.init, debian/*.bacula-director.init.in:
     + Add LSB Short-Description.
   * debian/patches/remove-use-statement-for-mysql:
     + remove "use <dbname>" statement from database setup/update
       scripts because we can't provide correct database name in it.
   * debian/*bacula-director.init:
     + move bacula-director init script from bacula-director-common
       package into bacula-director-<dbtype> packages.
   * debian/*.install (Closes: #621282):
     + stop shipping .la files.
   * debian/NEWS:
     + Add significant changes since last release.
   * debian/patches/fix-example-script-syntax, debian/patches/series:
     + Fix a syntax error in example script.
   * debian/bacula-console-qt.menu:
     + Change menu section of console-qt Apps/System ->
       Applications/System/Administration.
   * debian/patches/fix-default-config, debian/bacula-common.links,
     debian/bacula-common.install:
     + Move bsmtp to /usr/sbin as intended by upstream. Symlinks in old place
       provided.
   * debian/patches/fix-manpages, debian/patches/series:
     + Fix errors in manpages.
   * debian/bacula-director-common.manpages:
     + Add manual pages for /usr/sbin/b{wild,regex}.
   * debian/additions/*, debian/rules:
     + add gawk script for catalog backup.
 .
   [ Luca Capello ]
   * Urgency set to high because of release critical bugs.
   * debian/additions/bacula-console-gnome.desktop:
     - remove, deprecated upstream since 2.0.2-1 (see #391820).
   * debian/additions/bacula-tray-monitor.desktop:
     - remove, use upstream file.
   * debian/bacula-common.install:
     + install systemd tmpfiles.d's bacula.conf, thanks to Michael
       Stapelberg <michael+db20090501@stapelberg.de> (Closes: #624532).
   * debian/bacula-console*:
     + move bconsole to /usr/sbin/ as intended by upstream, providing
       symlinks in old place.
   * debian/bacula-console-qt.install:
     + move bat to /usr/sbin/ as intended by upstream.
     + install upstream icon and .desktop files, thanks to Gunnar
       Thielebein <gunnar_thielebein@gmx.net> (Closes: #466428).
   * debian/bacula-console-qt.links:
     + move bat to /usr/sbin/ as intended by upstream, providing
       symlinks in old place.
     + add symlinks to bacula-console-qt as well (binary and manpage) to
       match the package name.
   * debian/bacula-console-qt.menu:
     + move bat to /usr/sbin/ as intended by upstream.
     - remove useless -c option, /etc/bacula/bat.conf is used by default
       if not specified.
   * debian/bacula-director-*.install, debian/bacula-fd.install,
     debian/bacula-sd.install:
     + install upstream systemd service files.
   * debian/bacula-director-*.postinst:
     - remove path for sh call, thanks to lintian.
   * debian/bacula-director-common.bacula-director.init:
     + if the bacula-dir daemon is not found, notice the user that one of
       the bacula-director-<dbtype> packages must be installed.
   * debian/bacula-director-common.bacula-director.init,
     debian/bacula-fd.init, debian/bacula-sd.init:
     + move set call just after the LSB snippet.
   * debian/bacula-traymonitor.install:
     + move bacula-tray-monitor to /usr/sbin/ as intended by upstream.
     + dh_install can not rename files, so the icon must be renamed in
       debian/rules.
     + install upstream .desktop file.
   * debian/bacula-traymonitor.links:
     + move bacula-tray-monitor to /usr/sbin/ as intended by upstream,
       providing symlinks in old place.
   * debian/control:
     + add myself to Uploaders:.
     + add bsd-mailx as alternative for mailx, thanks to lintian.
   * debian/copyright:
     + add current maintainer.
   * debian/NEWS:
     + add note about moving bat/bconsole/bacula-tray-monitor to
       /usr/sbin/ as intended by upstream.
   * debian/patches/add-systemd-bacula.conf-for-piddir.patch:
     + add bacula.conf which defines the PID directory to be created.
   * debian/patches/fix-binutils-gold-linking.patch:
     + import from upstream BTS (Closes: #553956).
   * debian/patches/fix-scriptdir-examples-devices.patch:
     + @scriptdir@ not replaced in examples/devices/*, thanks to Arne
       Wichmann <arnew-reportbug@rasentrimmer.org> (Closes: #500370).
   * debian/README.Debian:
     + explain why upstream sources are not DFSG-free.
   * debian/rules:
     + add --with-dump-email=root and --with-job-email=root to CONF_ALL,
       thus removing the '@localhost' domain part (Closes: #519567).
     + add --with-systemd=/lib/systemd/system for systemd files.
     + rename bacula-tray-monitor.xpm.
 .
   [ Martin Pitt ]
   * debian/control (Closes: #639466):
     + update libpq-dev Build-Depends: to 9.1.
     + Build-Depends: on postgresql-server-dev-all.
     + leave only the unversioned postgresql-client package in
       bacula-director-pgsql's Depends: and Recommends:.
Checksums-Sha1: 
 c2581b8d59638b518d42b22d4707bb8f1ba3b81f 4296 bacula_5.2.6+dfsg-1.dsc
 85df6a32d580f90dafcce2a3def1610f12ceee85 3913884 bacula_5.2.6+dfsg.orig.tar.gz
 59f0816d8d40db5094bf9f307af273519c487302 65616 bacula_5.2.6+dfsg-1.debian.tar.gz
 a43faf182c9636cc6044837518845d7a22b589e2 1044 bacula_5.2.6+dfsg-1_all.deb
 55b77966fbb1132322cf9d8ae73b827b9a9526ba 685974 bacula-common_5.2.6+dfsg-1_amd64.deb
 b7b37d72e6f763aa2fd02f379bb504d93327d75c 638170 bacula-common-dbg_5.2.6+dfsg-1_amd64.deb
 f7c1797482d3a388f6815d6e70182211cc863780 142046 bacula-common-sqlite3_5.2.6+dfsg-1_amd64.deb
 6e5dc6d9c0564e9a9797619e117c18d3722f4479 199660 bacula-common-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
 0e3c586cb32a633a79d72938b1fbdb5519dc10f9 145806 bacula-common-pgsql_5.2.6+dfsg-1_amd64.deb
 fd26653071db24224f0c5419a605f4bf7eae002d 203896 bacula-common-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
 d3bf5f433d40d46def9c1c81e6ea7663dfdd007b 142118 bacula-common-mysql_5.2.6+dfsg-1_amd64.deb
 dcf2075b45d66376c768497afebc4da0357dcd22 201876 bacula-common-mysql-dbg_5.2.6+dfsg-1_amd64.deb
 6d7520f4edac63e54086dfd2b3475144f2f0e9e4 84994 bacula-director-common_5.2.6+dfsg-1_amd64.deb
 086c3f1b37b459924188b17f56d9477bc73043b7 9112 bacula-director-common-dbg_5.2.6+dfsg-1_amd64.deb
 6ac5298d08b25546fcf0a5772d81268de6cb40a5 342990 bacula-director-sqlite3_5.2.6+dfsg-1_amd64.deb
 d3ec0cea47738ba7ecff8c7fc442fd8070c2d789 976490 bacula-director-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
 2332cfc6e272bed9c7b5596f6e796af7ef7073b8 343398 bacula-director-mysql_5.2.6+dfsg-1_amd64.deb
 48856a8ee9afd7d9d121d9895a7259b2a5dddbdc 976488 bacula-director-mysql-dbg_5.2.6+dfsg-1_amd64.deb
 f81db429b236d121c40762cae3bf99a04cdc31b3 344786 bacula-director-pgsql_5.2.6+dfsg-1_amd64.deb
 6f17458ad65e4cc618207b9885b960d6b7856bd4 976492 bacula-director-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
 957c2a261bf98bafdfc41697d217f2dff543cb67 75152 bacula-client_5.2.6+dfsg-1_all.deb
 236eef6ad9aec088cbffc288673f474a56b058a2 160932 bacula-fd_5.2.6+dfsg-1_amd64.deb
 00b6d28e8be52777e31840ff466efa0fc90cd7a8 290432 bacula-fd-dbg_5.2.6+dfsg-1_amd64.deb
 2d980ca7dbaf0fc062c4d31210be378cd6108767 75078 bacula-server_5.2.6+dfsg-1_all.deb
 7b683035af27783ae682139285ed55ba030178f4 484482 bacula-sd_5.2.6+dfsg-1_amd64.deb
 ea0586cabdf43cd5555430a6f4d123d2ba42d57e 1570420 bacula-sd-dbg_5.2.6+dfsg-1_amd64.deb
 fccf15d1a343bd5e1c47d9f6042e74e6cbd65a50 460884 bacula-sd-sqlite3_5.2.6+dfsg-1_amd64.deb
 e3ad12933ea001c6a9d22e61540473973dbe7cda 1467546 bacula-sd-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
 379107f9093e27c24bd6de8d81af705d50ca7d03 460888 bacula-sd-mysql_5.2.6+dfsg-1_amd64.deb
 b4ca4ed24517016419f10bcfb23a94def5deacbd 1467542 bacula-sd-mysql-dbg_5.2.6+dfsg-1_amd64.deb
 0199ef2cabf1653cecaafdcf9b5811c6293f53d5 460884 bacula-sd-pgsql_5.2.6+dfsg-1_amd64.deb
 9bc388a5e1a1612b803414730503187cff2a4495 1467544 bacula-sd-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
 b78bbd3905a8a6af9a544773cd27dfc24a9426eb 93238 bacula-console_5.2.6+dfsg-1_amd64.deb
 708eef339ee365d10766526a96c40d155518a0f9 52180 bacula-console-dbg_5.2.6+dfsg-1_amd64.deb
 f60a2b5243d5eb1fa5bf5ac9424917dec7d99265 719324 bacula-console-qt_5.2.6+dfsg-1_amd64.deb
 465a34a1d49279a683cde2f59582a97fb60d29b4 5615852 bacula-console-qt-dbg_5.2.6+dfsg-1_amd64.deb
 47c8802829b742465636d29969e0f811066898d9 96878 bacula-traymonitor_5.2.6+dfsg-1_amd64.deb
 82f77eb205c8f4c5f7be49843658912ca4116e12 68414 bacula-traymonitor-dbg_5.2.6+dfsg-1_amd64.deb
Checksums-Sha256: 
 b785259d58887378803ce39600c8b4c8f8ce48f0f66347021c9fc8176f3276e5 4296 bacula_5.2.6+dfsg-1.dsc
 8445abe3d1e7ea925ce0fb0b17a2fbeffb7b73a727d8402888ebedd2cd716dc6 3913884 bacula_5.2.6+dfsg.orig.tar.gz
 88123dda32d55e013b26e2820c832d149be403b7aea5c3f35e2f5e62e3282b32 65616 bacula_5.2.6+dfsg-1.debian.tar.gz
 03147bc3b3d6191362ec00688d395d30cb526fa117f1c7c750b387b82c12c419 1044 bacula_5.2.6+dfsg-1_all.deb
 aedf0656f0e581b0cb31cfeebdc0808bda72f92625b0e3cb5ed09e646e7ef9f6 685974 bacula-common_5.2.6+dfsg-1_amd64.deb
 d6bd85d03c491d1be89820da916756978e2f5a900218a22c82a4f6736d5f2564 638170 bacula-common-dbg_5.2.6+dfsg-1_amd64.deb
 2ad41221e1e08b56b2aa53ccf9db3c9fb2ec7a17dfd77cb4db908deafbd560df 142046 bacula-common-sqlite3_5.2.6+dfsg-1_amd64.deb
 1456df633d1ad9a133d6188b6e49136c71179e2c1afcb42e73498cdbb1b0719d 199660 bacula-common-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
 a5fa25321e1abd22a1405efa3d9008e5bc5aab22b4665523a3cf7a8f7ddff963 145806 bacula-common-pgsql_5.2.6+dfsg-1_amd64.deb
 47b410ec649b0f1293281a17a4bc96000619fc352e3d56354d00ea13a8b68cf5 203896 bacula-common-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
 73420f2aa9b4916aa1c90cb6600f19971d8ca8423213cde439002ebc1404b99c 142118 bacula-common-mysql_5.2.6+dfsg-1_amd64.deb
 21217a4cb54a6dcb64c93407091357adf66f8166c05fe120f0aefbddecad1525 201876 bacula-common-mysql-dbg_5.2.6+dfsg-1_amd64.deb
 868ec68e2c0426dcaabfc9aa65af5dc13b939df30efe611e78eca7779bb134f0 84994 bacula-director-common_5.2.6+dfsg-1_amd64.deb
 6976bc9adc5160b8036285664a9b8ce0fdcea6f53d0e78a8627aa0a984109d8e 9112 bacula-director-common-dbg_5.2.6+dfsg-1_amd64.deb
 d3ade71a4e685fbe8c399d23b1cc7ea506d4c0e498784b8c4ee02ffe42b728ea 342990 bacula-director-sqlite3_5.2.6+dfsg-1_amd64.deb
 5d0f473eaabde37516bf0565b8f72b53fb3b27be530ba6671937dce2b82d4695 976490 bacula-director-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
 bcbe2c3e3b587574c949ea2be6ddfb6e5a71a1c5e9b8bb6a0b6ea5ffafd3c6af 343398 bacula-director-mysql_5.2.6+dfsg-1_amd64.deb
 b8ee89eb78a9cd5f59fa840c4e0984b684cf1913b2057b4ec2c20e83b8779f4b 976488 bacula-director-mysql-dbg_5.2.6+dfsg-1_amd64.deb
 174b3b68ac8f3dd1b7c1d745ec15d9cea20c9e330da8a3913309159361f7cd99 344786 bacula-director-pgsql_5.2.6+dfsg-1_amd64.deb
 a76af3668127970132ee7bd157920bd4b2b8d73d5c6dd26c257cb1ab1da58d4d 976492 bacula-director-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
 d58f6b8b261d2a2608fae9eb93240d026159817c7d55a85cc0ba25e570cf10db 75152 bacula-client_5.2.6+dfsg-1_all.deb
 5b9266deef2674ccbac5126a2bbf5b5a91f1b36de077e91da217c1d977f18cf8 160932 bacula-fd_5.2.6+dfsg-1_amd64.deb
 a008aa1d38e3f4eae0430481af2a988233503584bc21d8e04a0382ccda23f164 290432 bacula-fd-dbg_5.2.6+dfsg-1_amd64.deb
 5d33fea16f794f22cbf567d6b8b666511271cde490c23ed5fa0ed2ddfea36025 75078 bacula-server_5.2.6+dfsg-1_all.deb
 708a747e3ae87063d512d84648a5b7caef7c5d4a5843942daa9c510475ab9fef 484482 bacula-sd_5.2.6+dfsg-1_amd64.deb
 84e039d21cd259c656711eaf6c545590df06bbd380943e21edf25fa1073d6696 1570420 bacula-sd-dbg_5.2.6+dfsg-1_amd64.deb
 8d3c76f66e8047715f11b177467707e59ccd4e19f3ea9734075cbdd0fddd5cfe 460884 bacula-sd-sqlite3_5.2.6+dfsg-1_amd64.deb
 19c79bacf0bf9e22ffafeab1b4797ff03fc16f7e53149befbd9546c5e6121d77 1467546 bacula-sd-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
 c73d09761e8178f0e0255a79d0373463e2d58e0e5fdd2ee35e5b932528a7952c 460888 bacula-sd-mysql_5.2.6+dfsg-1_amd64.deb
 8cfe838e5212c8abc6fea200cb00c795fc647d3b865baf7564e9b3d4116ab599 1467542 bacula-sd-mysql-dbg_5.2.6+dfsg-1_amd64.deb
 187d5781e72f1d10b372cfb971a4578129a3922c4cac0c3b8a7be9bfde10d4be 460884 bacula-sd-pgsql_5.2.6+dfsg-1_amd64.deb
 ed59291261509afd3a32bedfe40259d09246b20cc0c3d7ba044f85249a38b102 1467544 bacula-sd-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
 d9faa9e712fae308b868ef203e5dcf632cc14769c509d531eeb144de77763266 93238 bacula-console_5.2.6+dfsg-1_amd64.deb
 296c4068cce211830f1519ba88f7fe9d3ec3f259366160e26172a9e6fb3516bc 52180 bacula-console-dbg_5.2.6+dfsg-1_amd64.deb
 2fef489bf0b348bb215ce2a888adc7165aa98c28d9d5dbf7a0f4c8b18b81520b 719324 bacula-console-qt_5.2.6+dfsg-1_amd64.deb
 0b40c810deb17d2efb3351e445c53096e1334d1d9f0c5fa3803eb34d67d97bb1 5615852 bacula-console-qt-dbg_5.2.6+dfsg-1_amd64.deb
 d9626ef719ea3fbda3da60db6342cc2a2c7370c8ca610ec4a23aba2322906406 96878 bacula-traymonitor_5.2.6+dfsg-1_amd64.deb
 310ba9ef75309dfd583099762d3917f797f358b100d71eb366cfe5e6b2908170 68414 bacula-traymonitor-dbg_5.2.6+dfsg-1_amd64.deb
Files: 
 57ddc1da9a84d4512abfd76008509120 4296 admin optional bacula_5.2.6+dfsg-1.dsc
 10b91600f2f25d5b687a89b6772036c8 3913884 admin optional bacula_5.2.6+dfsg.orig.tar.gz
 262eb148484d3c6edb5d7aed9361b688 65616 admin optional bacula_5.2.6+dfsg-1.debian.tar.gz
 6c48d331745577a728e4b742f8ee8d81 1044 admin optional bacula_5.2.6+dfsg-1_all.deb
 9aba50705d4290e23688d3dcdfb41682 685974 admin optional bacula-common_5.2.6+dfsg-1_amd64.deb
 0f21a4cf4eb3eac4c6e1e02b82138e7c 638170 debug extra bacula-common-dbg_5.2.6+dfsg-1_amd64.deb
 1fa5d70bec7590288ac7b55f93b4ea6d 142046 admin optional bacula-common-sqlite3_5.2.6+dfsg-1_amd64.deb
 7816ab7af9205de7c1c844f85d48c1f6 199660 debug extra bacula-common-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
 3202c8d1aa2ad484b731c1f92fbc1667 145806 admin optional bacula-common-pgsql_5.2.6+dfsg-1_amd64.deb
 ea5068075c52e270892755e793fc3f82 203896 debug extra bacula-common-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
 650b499ecacd7af06f56203e2ef4c12e 142118 admin optional bacula-common-mysql_5.2.6+dfsg-1_amd64.deb
 90486a128b1bb5a912ada16e2bf32790 201876 debug extra bacula-common-mysql-dbg_5.2.6+dfsg-1_amd64.deb
 932d044ed594d2c32233089fcc3d2263 84994 admin optional bacula-director-common_5.2.6+dfsg-1_amd64.deb
 78b5cc98230bb2e88dc2871161785b3f 9112 debug extra bacula-director-common-dbg_5.2.6+dfsg-1_amd64.deb
 3cfe7ed1152df7a9cddda2cd6eb8abff 342990 admin optional bacula-director-sqlite3_5.2.6+dfsg-1_amd64.deb
 befcee78ef3fa0a4b7cec0ccc7ddc4fb 976490 debug extra bacula-director-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
 f2aa803f81d7eaaa4c0863d8c9eec8c4 343398 admin optional bacula-director-mysql_5.2.6+dfsg-1_amd64.deb
 0ba9f2757832e003fa48ed657b6d4831 976488 debug extra bacula-director-mysql-dbg_5.2.6+dfsg-1_amd64.deb
 a9bc8cd0bb750da35078bc6a2e43c1b9 344786 admin optional bacula-director-pgsql_5.2.6+dfsg-1_amd64.deb
 f66e0be757b08fb73be30a6b74305f0c 976492 debug extra bacula-director-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
 1e0ee3ccee570245b593bc4866afc02a 75152 admin optional bacula-client_5.2.6+dfsg-1_all.deb
 3e8840e7640e836d8461ba5dbe3967a5 160932 admin optional bacula-fd_5.2.6+dfsg-1_amd64.deb
 411480bbb7b386bf5be4ad7d23bcef67 290432 debug extra bacula-fd-dbg_5.2.6+dfsg-1_amd64.deb
 32cbcfcb7d45c35ab4dcb6b5b93c4824 75078 admin optional bacula-server_5.2.6+dfsg-1_all.deb
 c8a19490baefdd03655378a53c47ae65 484482 admin optional bacula-sd_5.2.6+dfsg-1_amd64.deb
 2100d073073c888207e663995963204c 1570420 debug extra bacula-sd-dbg_5.2.6+dfsg-1_amd64.deb
 3bfbb897272ce1a952e6d2b741de0d70 460884 admin optional bacula-sd-sqlite3_5.2.6+dfsg-1_amd64.deb
 392a0ae87b724bc9c9ec3bc296e9e6fc 1467546 debug extra bacula-sd-sqlite3-dbg_5.2.6+dfsg-1_amd64.deb
 4b64d668fb1313044b1fae8023474694 460888 admin optional bacula-sd-mysql_5.2.6+dfsg-1_amd64.deb
 4cc4707c2b6289fd4f2d764f8380a978 1467542 debug extra bacula-sd-mysql-dbg_5.2.6+dfsg-1_amd64.deb
 f8e726dcec8821ae04048893e8f1b0dc 460884 admin optional bacula-sd-pgsql_5.2.6+dfsg-1_amd64.deb
 26399dce17ba29474664320813ddd487 1467544 debug extra bacula-sd-pgsql-dbg_5.2.6+dfsg-1_amd64.deb
 75dacac501584e5995c22ec24e2e6569 93238 admin optional bacula-console_5.2.6+dfsg-1_amd64.deb
 98bf5a39a11d7c4c6a648929d4d8a8c5 52180 debug extra bacula-console-dbg_5.2.6+dfsg-1_amd64.deb
 17571a9cd74f08d471744e14e3216555 719324 utils optional bacula-console-qt_5.2.6+dfsg-1_amd64.deb
 c148b4f9c85806d697d218492d423965 5615852 debug extra bacula-console-qt-dbg_5.2.6+dfsg-1_amd64.deb
 4e03b9c2c7ba19d80f787ba5f21b6662 96878 admin optional bacula-traymonitor_5.2.6+dfsg-1_amd64.deb
 a591c8ee35002e8b91ce256747b56c31 68414 debug extra bacula-traymonitor-dbg_5.2.6+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP2LdeAAoJENkdV6A76fNtT9oP/3OhLOaPbYK8LWga18SJldr3
ZRYmQ/4SUA5Y63oq0lIVEGZlMPQ1Kkd4fV8OpaqXHUNLNzS1IrkwfqmH3WAmmveq
uS+Y/M08e5HvriN9rzxsEwER29BdC9fMiKURTQfisS1NCXJoz2etaoqs9YGuOanZ
qwewSACHFoj3+Nxq4H0m4EZyyS7ghVdjMBZRevC+3nWlsw4skxzso815XJKQO7Y2
eWvSWQJBECO9DpaiU95AzP1yj7i9jpruOJXxPWQNaN13GAiATI9dyKBKyBT0W9av
4yW8Rsvgn6VZKT7y3TzTn7j8YauZeY/Nw8PA9k2euoHN9HOc79JJzHCnvX+VwpYx
I2yGXiBosdxO9tbNSXINfmKO0Q+4W44Ikn5AUUnrrtjGLm9C0X2nwPHS+q4ucR3r
DcgD3tJouVMLiymIHCObE8z+i/WwKKQFfmwr6ry5+FdMFKTHerAxaHnVsIqVEeo7
7QlE7O5sntolFJL5gvlrXuJ/+JMqAYz11Smv3mHS0H9rWsKd4z+HAjhvSiiuzKm0
+4FrHNCtsKLIt9rvT21xtVBtWgBI4l726dgxa4bVEo6qTR556zMeM9/nP/4mm0zH
wPupZH6x0DdNjnyqoaCf8lilEdwqdmOj64yen7ifV+CDazl1qdnZC3uDn815GmVL
kf5dkxj53bhzPOqK/qux
=fPI3
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Fri, 15 Jun 2012 12:33:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>. (Fri, 15 Jun 2012 12:33:47 GMT) Full text and rfc822 format available.

Message #62 received at 658326@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: Luca Capello <luca@pca.it>
Cc: Kefu Chai <tchaikov@gmail.com>, 658326@bugs.debian.org
Subject: Re: [pkg-bacula-devel] Bug#658326: marked as done (bacula: sha implimentation is non-free)
Date: Fri, 15 Jun 2012 22:06:52 +1000
[Message part 1 (text/plain, inline)]
On Wed, 02 May 2012 15:16:36 +0200
Luca Capello <luca@pca.it> wrote:

Sorry I missed this entire discussion; I forgot about the bug entirely
until I saw the close email :/

> Hi there!
> 
> On Mon, 30 Apr 2012 11:21:51 +0200, Debian Bug Tracking System wrote:
> > Your message dated Mon, 30 Apr 2012 09:17:34 +0000
> > with message-id <E1SOmje-0005rA-OL@franck.debian.org>
> > and subject line Bug#658326: fixed in bacula 5.0.3+dfsg-0.1
> > has caused the Debian Bug report #658326,
> > regarding bacula: sha implimentation is non-free
> > to be marked as done.

> 2) Have you seen that Karl (the original submitter) specifically
> talked about stable and oldstable?  The problem should be fixed there
> as well, but the first question above must be addressed first.
> 
>    Karl, given that the latest upstream sources still contain the
>    incriminated files, have you already brought this problem up to the
>    upstream authors?
> 
>      <http://www.bacula.org/git/cgit.cgi/bacula/tree/bacula/src/lib/sha1.c>
>      <http://www.bacula.org/git/cgit.cgi/bacula/tree/bacula/src/lib/sha1.h>

As you noted later (by filing a bug of your own) I had not done this -
apologies.


> Subject: Re: [pkg-bacula-devel] Bug#658326: patch for switch to
> openssl SHA1 implementation

> On Thu, 17 May 2012 18:05:49 +0200, Luca Capello wrote:
> > On Mon, 14 May 2012 22:43:12 +0200, Alexander Golovko wrote:  
> >> Ok, i add it into master branch
> >> <http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=commitdiff;h=6c562cfdaffd730c796518233f0d97da08a3891b>  
> >

> > I am going to upload a fixed package this weekend.  
> 
> Upstream sources re-packaged:
> 
>   <http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=commit;h=47fbab2da0062f2d4df087496220d969dd755d7b>
> 
> Thx, bye,
> Gismo / Luca


Thanks everyone for your work on this, sorry I didn't take part in the
discussion last month.
thanks,
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK7FOSS)
http://www.kgoetz.id.au
No, I won't join your social networking group
*** I've changed GPG key to 6C097260 ***
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Fri, 15 Jun 2012 20:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>. (Fri, 15 Jun 2012 20:42:02 GMT) Full text and rfc822 format available.

Message #67 received at 658326@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Karl Goetz <karl@kgoetz.id.au>
Cc: Kefu Chai <tchaikov@gmail.com>, 658326@bugs.debian.org
Subject: Re: [pkg-bacula-devel] Bug#658326: marked as done (bacula: sha implimentation is non-free)
Date: Fri, 15 Jun 2012 22:38:32 +0200
[Message part 1 (text/plain, inline)]
found 658326 5.0.2-2.2
tags 658326 + squeeze
found 658326 5.0.3-1
tags 658326 + sid
thanks

Hi there!

On Fri, 15 Jun 2012 14:06:52 +0200, Karl Goetz wrote:
> On Wed, 02 May 2012 15:16:36 +0200
> Luca Capello <luca@pca.it> wrote:
>
> Sorry I missed this entire discussion; I forgot about the bug entirely
> until I saw the close email :/

No problem and actually thank you for the email, I just realized that I
forgot to fix it in stable, so Version:/Tags: added to the BTS and bug
fixed in squeeze-proposed-updates with the packages at:
=====
$ sudo cat >/etc/apt/sources.list.d/people.debian.org_gismo.list
# <http://upsilon.cc/~zack/blog/posts/2009/04/howto:_uploading_to_people.d.o_using_dput/>
deb http://people.debian.org/~gismo/debian gismo-squeeze-proposed-updates/
deb-src http://people.debian.org/~gismo/debian gismo-squeeze-proposed-updates/
$ sudo wget -O /etc/apt/trusted.gpg.d/luca.pca.it-keyring.gpg \
 http://people.debian.org/~gismo/debian/luca.pca.it-keyring.gpg
$ sudo apt-get -t gismo-squeeze-proposed-updates $DEB
=====

I am testing the above packages on my squeeze boxes, but any more
testing is appreciated.

>> 2) Have you seen that Karl (the original submitter) specifically
>> talked about stable and oldstable?  The problem should be fixed there
>> as well, but the first question above must be addressed first.
>> 
>>    Karl, given that the latest upstream sources still contain the
>>    incriminated files, have you already brought this problem up to the
>>    upstream authors?
>> 
>>      <http://www.bacula.org/git/cgit.cgi/bacula/tree/bacula/src/lib/sha1.c>
>>      <http://www.bacula.org/git/cgit.cgi/bacula/tree/bacula/src/lib/sha1.h>
>
> As you noted later (by filing a bug of your own) I had not done this -
> apologies.

No need to apologize :-)

Just to be clear about upstream reply:

  <http://bugs.bacula.org/view.php?id=1869#c6325>

  kern (administrator) 2012-05-24 07:25

  I am closing this bug report because it proposes making a change that
  is not necessary, and makes Bacula less free. My reasons are:

  1. This change doesn't make sense, because in the context of the code
  the reference to "this document" means the license, and it is quite
  standard to make the license text non-changable. It is clear from the
  wording of the license that it is not restrictive.

  2. This code does not contain an RFC. It contains an open and free
  implementation of an RFC.

  3. Implementing the proposed fix, in fact, adds an additional
  dependency on OpenSSL to build the base part of Bacula, which is not
  present in the current code. This is unacceptable to me.

  4. By requiring OpenSSL, you are making Bacula less free and also more
  incompatible with the GPL (even if I have made an exception for it).

  5. Bacula is unavailable from Source Forge for a good number of people
  in the world, because it has the possibility of using encryption
  software. Your patch makes it require encryption software, unless I
  misunderstand the proposed patch.

  We do not intend to change our code unless we hear from the Internet
  Society that we are somehow infringing on their license, which seems
  to me highly improbable.

  You are, of course, free to under our current license to make the
  changes you propose.

This means that Debian (and any derivative who wants to be DFSG-free)
should carry the modification.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Marked as found in versions bacula/5.0.2-2.2. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Fri, 15 Jun 2012 20:42:06 GMT) Full text and rfc822 format available.

Added tag(s) squeeze. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Fri, 15 Jun 2012 20:42:07 GMT) Full text and rfc822 format available.

Marked as found in versions bacula/5.0.3-1. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Fri, 15 Jun 2012 20:42:07 GMT) Full text and rfc822 format available.

Added tag(s) sid. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Fri, 15 Jun 2012 20:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>:
Bug#658326; Package bacula. (Mon, 18 Jun 2012 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>. (Mon, 18 Jun 2012 22:48:03 GMT) Full text and rfc822 format available.

Message #80 received at 658326@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: Luca Capello <luca@pca.it>
Cc: Kefu Chai <tchaikov@gmail.com>, 658326@bugs.debian.org
Subject: Re: [pkg-bacula-devel] Bug#658326: marked as done (bacula: sha implimentation is non-free)
Date: Tue, 19 Jun 2012 08:03:25 +1000
[Message part 1 (text/plain, inline)]
On Sat, 16 Jun 2012, 06:38:32 EST, Luca Capello <luca@pca.it> wrote:

posting mobile, hopefully i didnt trim anything vital out.

> On Fri, 15 Jun 2012 14:06:52 +0200, Karl Goetz wrote:
> > On Wed, 02 May 2012 15:16:36 +0200
> > Luca Capello <luca@pca.it> wrote:

> fixed in squeeze-proposed-updates with the packages at:
> =====

> Just to be clear about upstream reply:
> 
>     <http://bugs.bacula.org/view.php?id=1869#c6325>
> 
>     kern (administrator) 2012-05-24 07:25
> 

> This means that Debian (and any derivative who wants to be DFSG-free)
> should carry the modification.

Thanks for your extensive reply.
Kk
[Message part 2 (text/html, inline)]

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:31 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:32:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:38:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:49:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.